ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/run-data
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/run-data' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
[ { "id": "string", "runReportFileName": "string", "userName": "string", "protocolName": "string", "softwareVersion": "string", "deviceSerialNumber": "string", "enclosureStatus": "string", "startTime": "2019-08-24T14:15:22Z", "endTime": "2019-08-24T14:15:22Z", "runResult": "string", "errorMessages": [ … ], "pauses": [ … ], "runtimeSteps": [ … ], "stepOverviews": [ … ], "plateTransports": [ … ], "rtsaSelections": [ … ], "liquidOverviews": [ … ], "tubeOverviews": [ … ], "doorStatusEvents": [ … ], "thermalDevice": "string", "labwareItems": [ … ], "runtimeLightingSettings": { … }, "hepaOverview": { … }, "unmappedPipetteActivities": [ … ], "pipetteDataAvailable": true } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/run-data/{runDataId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/run-data/{runDataId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "id": "string", "runReportFileName": "string", "userName": "string", "protocolName": "string", "softwareVersion": "string", "deviceSerialNumber": "string", "enclosureStatus": "string", "startTime": "2019-08-24T14:15:22Z", "endTime": "2019-08-24T14:15:22Z", "runResult": "string", "errorMessages": [ { … } ], "pauses": [ { … } ], "runtimeSteps": [ { … } ], "stepOverviews": [ { … } ], "plateTransports": [ { … } ], "rtsaSelections": [ { … } ], "liquidOverviews": [ { … } ], "tubeOverviews": [ { … } ], "doorStatusEvents": [ { … } ], "thermalDevice": "string", "labwareItems": [ { … } ], "runtimeLightingSettings": { "deckLightsSetting": "AlwaysEnable", "deckLightsSettingDisplayName": "string", "disableErrorLights": true }, "hepaOverview": { "hasHepaUv": true, "fanStatus": true }, "unmappedPipetteActivities": [ { … } ], "pipetteDataAvailable": true }
- Mock server
http://{{your_prep_ip_address}}/api/v1/run-data/{runDataId}/pdf
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/run-data/{runDataId}/pdf' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/run-data/{runDataId}/pipetting-csv
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/run-data/{runDataId}/pipetting-csv' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
"string"
- Mock server
http://{{your_prep_ip_address}}/api/v1/run-data/{runDataId}/pipetting-csv/{stepId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/run-data/{runDataId}/pipetting-csv/{stepId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
"string"
- Mock server
http://{{your_prep_ip_address}}/api/v1/run-data/get-run-result-enum
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/run-data/get-run-result-enum' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
[ "string" ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/run-data/date-range-options
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/run-data/date-range-options' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
[ "string" ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/run-data/{runDataIds}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'http://{{your_prep_ip_address}}/api/v1/run-data/{runDataIds}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/run-data/batch-delete
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/run-data/batch-delete' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '[
"string"
]'- Mock server
http://{{your_prep_ip_address}}/api/v1/run-data/export
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/run-data/export?runDataId=string&includePdf=true&includeJson=true&includeCsv=true&separateCsvPerStep=true' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
"string"